## testu01 1.2.3%2Bds

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export ACLOCAL_PATH=/usr/share/gnulib/m4

## inspired from mpfr material
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else ifeq ($(DEB_HOST_ARCH),alpha)
	CFLAGS += -mieee
else ifeq ($(DEB_HOST_ARCH),sha4)
	CFLAGS += -mieee
else
	CFLAGS := $(subst -O2,-O3,$(CFLAGS))
endif

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --builddirectory=_build --parallel

override_dh_autoreconf:
	cd include && ./makedef
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --program-prefix=testu01- --enable-maintainer-mode

override_dh_auto_build-indep:
	$(MAKE) -C _build tcode

override_dh_auto_build-arch:
	dh_auto_build -a

override_dh_auto_test-indep:

override_dh_auto_install-indep:
	$(MAKE) -C _build/include install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C _build/testu01 install-data-am DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C _build/param install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C _build/examples install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C _build install-pdf DESTDIR=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs --keep NEWS

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

override_dh_strip:
	dh_strip --dbg-package=libtestu01-0-dbg

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	rm -f include/Makefile.def

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose
