## testu01 1.2.3%2Bds1

=== debian/changelog ===
testu01 (1.2.3+ds1-3) unstable; urgency=medium

  * RC fix release, migration to C23 (Closes: 1093361, see introduced patch).
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-migration_to_C23-cleanup.patch, introduce;
    - d/adhoc/examples/Makefile, harden (Closes: #1094137);
    - d/control:
      - debhelper, bump to 13 (refresh Build-Depends field);
      - Standards Version, bump to 4.7.0 (no change);
    - d/{copyright,adhoc/examples/Makefile}:
      - copyright year tuples, update;
    - various minor janitorial changes.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Jan 2025 19:01:16 +0000

testu01 (1.2.3+ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062973

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:08:34 +0000

testu01 (1.2.3+ds1-2) unstable; urgency=medium

  [Jerome Benoit]
  * Bump Standards-Version from 4.1.3 to 4.6.1 (no change).
  * Provide Rules-Requires-Root and set it to no.
  * Update Copyright year-tuples.
  * Update tg in d/s/lintian-overrides.
  * Various typo corrections.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Drop custom source compression, custom source compression level.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Drop unnecessary dh arguments: --parallel
  * Remove unnecessary get-orig-source-target.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cproto.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 12 Dec 2022 09:46:23 +0000

testu01 (1.2.3+ds1-1) unstable; urgency=medium

  * Debianization:
    - debian/copyright, refresh;
    - debian/watch:
      - version, bump to 4;
      - source, secure;
      - suffix, increment to 1 (Closes: #885700);
    - debian/rules, update;
    - debian/control:
      - debhelper, bump to 11 (refresh Build-Depends field);
      - Standards Version, bump to 4.1.3 (no change);
    - debian/*:
      - d/testu01-data.README.Debian, fix typo.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Dec 2017 13:46:27 +0000

testu01 (1.2.3+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/copyright, refresh;
    - debian/control:
      - Standards Version, bump to 3.9.8 (no change);
      - Vcs-*, secure;
      - debug symbol package, drop off in favour of automatic generation;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
      - debug symbol package, drop off (see above);
    - debian/tests/*, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 18 May 2016 22:23:39 +0000

testu01 (1.2.3+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #596005)

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 24 May 2015 19:29:45 +0000
