## testu01 1.2.3+ds

=== debian/control ===
Source: testu01
Section: non-free/math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 9),
 autotools-dev, gnulib, dh-autoreconf, libtool, cproto (>= 4.7l-4),
 libgmp-dev
Build-Depends-Indep:
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra
Standards-Version: 3.9.8
Homepage: http://simul.iro.umontreal.ca/testu01/tu01.html
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/testu01.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/testu01.git
XS-Autobuild: yes

Package: libtestu01-0
Provides: libtestu01
Section: non-free/libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: testu01-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtestu01
Suggests: testu01-doc (= ${source:Version})
Multi-Arch: same
Description: testing suite for uniform random number generators -- libs
 TestU01 is a software library, implemented in the ANSI C language, and
 offering a collection of utilities for the empirical statistical testing
 of uniform random number generators.
 .
 TestU01 implements several types of random number generators in generic
 form, as well as many specific generators proposed in the literature or
 found in widely-used software. It provides general implementations of the
 classical statistical tests for random number generators, as well as several
 others proposed in the literature, and some original ones. These tests can
 be applied to the generators predefined in the library and to user-defined
 generators. Specific tests suites for either sequences of uniform random
 numbers in [0,1] or bit sequences are also provided, as well as basic tools
 for plotting vectors of points produced by generators and more advanced
 tools for more involved tests and usage.
 .
 This package provides the shared libraries required to run programs
 compiled against the TestU01 library. To compile your own programs you
 also need to install the libtestu01-0-dev package.

Package: testu01-data
Architecture: all
Depends: ${misc:Depends}
Recommends: libtestu01-0 (=${binary:Version})
Multi-Arch: foreign
Description: testing suite for uniform random number generators -- data
 TestU01 is a software library, implemented in the ANSI C language, and
 offering a collection of utilities for the empirical statistical testing
 of uniform random number generators.
 .
 TestU01 implements several types of random number generators in generic
 form, as well as many specific generators proposed in the literature or
 found in widely-used software. It provides general implementations of the
 classical statistical tests for random number generators, as well as several
 others proposed in the literature, and some original ones. These tests can
 be applied to the generators predefined in the library and to user-defined
 generators. Specific tests suites for either sequences of uniform random
 numbers in [0,1] or bit sequences are also provided, as well as basic tools
 for plotting vectors of points produced by generators and more advanced
 tools for more involved tests and usage.
 .
 This package provides the essential TestU01 architecture independent
 material, namely shared data.

Package: libtestu01-0-dev
Provides: libtestu01-dev
Section: non-free/libdevel
Architecture: any
Depends: libtestu01-0 (= ${binary:Version}), libtestu01-0-dev-common (= ${source:Version}), ${misc:Depends}
Conflicts: libtestu01-dev
Suggests: testu01-doc
Multi-Arch: same
Description: testing suite for uniform random number generators -- libdevel
 TestU01 is a software library, implemented in the ANSI C language, and
 offering a collection of utilities for the empirical statistical testing
 of uniform random number generators.
 .
 TestU01 implements several types of random number generators in generic
 form, as well as many specific generators proposed in the literature or
 found in widely-used software. It provides general implementations of the
 classical statistical tests for random number generators, as well as several
 others proposed in the literature, and some original ones. These tests can
 be applied to the generators predefined in the library and to user-defined
 generators. Specific tests suites for either sequences of uniform random
 numbers in [0,1] or bit sequences are also provided, as well as basic tools
 for plotting vectors of points produced by generators and more advanced
 tools for more involved tests and usage.
 .
 This package contains the static libraries and symbolic links that
 developers using the TestU01 libraries will need.

Package: libtestu01-0-dev-common
Provides: libtestu01-dev-common
Section: non-free/libdevel
Architecture: all
Depends: ${misc:Depends}
Recommends: libtestu01-0-dev (= ${binary:Version})
Conflicts: libtestu01-dev-common
Multi-Arch: foreign
Description: testing suite for uniform random number generators -- headers
 TestU01 is a software library, implemented in the ANSI C language, and
 offering a collection of utilities for the empirical statistical testing
 of uniform random number generators.
 .
 TestU01 implements several types of random number generators in generic
 form, as well as many specific generators proposed in the literature or
 found in widely-used software. It provides general implementations of the
 classical statistical tests for random number generators, as well as several
 others proposed in the literature, and some original ones. These tests can
 be applied to the generators predefined in the library and to user-defined
 generators. Specific tests suites for either sequences of uniform random
 numbers in [0,1] or bit sequences are also provided, as well as basic tools
 for plotting vectors of points produced by generators and more advanced
 tools for more involved tests and usage.
 .
 This package contains the header files that developers using the TestU01
 libraries will need.

Package: testu01-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Suggests:
 libtestu01-0 (=${binary:Version}), libtestu01-0-dev (=${binary:Version}),
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 pdf-viewer
Multi-Arch: foreign
Description: testing suite for uniform random number generators -- doc
 TestU01 is a software library, implemented in the ANSI C language, and
 offering a collection of utilities for the empirical statistical testing
 of uniform random number generators.
 .
 TestU01 implements several types of random number generators in generic
 form, as well as many specific generators proposed in the literature or
 found in widely-used software. It provides general implementations of the
 classical statistical tests for random number generators, as well as several
 others proposed in the literature, and some original ones. These tests can
 be applied to the generators predefined in the library and to user-defined
 generators. Specific tests suites for either sequences of uniform random
 numbers in [0,1] or bit sequences are also provided, as well as basic tools
 for plotting vectors of points produced by generators and more advanced
 tools for more involved tests and usage.
 .
 This package provides the user guides of the TestU01 software library suite;
 it also contains examples.

Package: testu01-bin
Architecture: any
Depends: libtestu01-0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: testu01-doc (= ${source:Version})
Multi-Arch: foreign
Description: testing suite for uniform random number generators -- utils
 TestU01 is a software library, implemented in the ANSI C language, and
 offering a collection of utilities for the empirical statistical testing
 of uniform random number generators.
 .
 TestU01 implements several types of random number generators in generic
 form, as well as many specific generators proposed in the literature or
 found in widely-used software. It provides general implementations of the
 classical statistical tests for random number generators, as well as several
 others proposed in the literature, and some original ones. These tests can
 be applied to the generators predefined in the library and to user-defined
 generators. Specific tests suites for either sequences of uniform random
 numbers in [0,1] or bit sequences are also provided, as well as basic tools
 for plotting vectors of points produced by generators and more advanced
 tools for more involved tests and usage.
 .
 This package provides command line utilities.
