=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -49,9 +51,6 @@
 override_dh_compress-indep:
 	dh_compress -X.pdf -Xexamples
 
-override_dh_strip:
-	dh_strip --dbg-package=libtestu01-0-dbg
-
 override_dh_autoreconf_clean:
 	dh_autoreconf_clean
 	rm -f include/Makefile.def
