## testu01 1.2.3+ds1

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 9),
- autotools-dev, gnulib, dh-autoreconf, libtool, cproto (>= 4.7l-4),
+ debhelper-compat (= 12),
+ gnulib, libtool, cproto,
  libgmp-dev
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra
-Standards-Version: 3.9.8
+Standards-Version: 4.6.1
 Homepage: http://simul.iro.umontreal.ca/testu01/tu01.html
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/testu01.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/testu01.git
+Vcs-Git: https://salsa.debian.org/science-team/testu01.git
+Vcs-Browser: https://salsa.debian.org/science-team/testu01
 XS-Autobuild: yes
 
 Package: libtestu01-0
