=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with autoreconf --builddirectory=_build --parallel
+	dh $@ --builddirectory=_build
 
 override_dh_autoreconf:
 	cd include && ./makedef
@@ -54,6 +54,3 @@
 override_dh_autoreconf_clean:
 	dh_autoreconf_clean
 	rm -f include/Makefile.def
-
-get-orig-source:
-	uscan --no-conf --download-current-version --compression xz --verbose
