=== debian/tests/control ===
Tests: build-examples
Depends: testu01-doc, libtestu01-0-dev, build-essential
